View Issue Details

IDProjectCategoryView StatusLast Update
681Unconventional ReservoirsUser InterfacePublicFeb 26th 2024 1:15 PM
ReporterTravis Herzog Assigned ToTravis Herzog  
Priority UrgentSeverityCrashReproducibilityHave Not Tried
Status ReleasedResolutionFixed 
ProjectionMinor FixETANone 
PlatformWin32NTOSWindowsOS Version10
Product Version1.22.6 
Target Version1.23.0Fixed in Version1.23.0 
Summary681: Attempting to access Zone add/delete form after it has been closed causes ObjectDisposedException
DescriptionAttempting to access Zone add/delete form after it has been closed causes ObjectDisposedException.

<SerializableException xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <ExtendedInformation>
    <ObjectName>EditZoneAddOrDelete</ObjectName>
    <HResult>-2146232798</HResult>
  </ExtendedInformation>
  <Message>Cannot access a disposed object.
Object name: 'EditZoneAddOrDelete'.</Message>
  <Source>System.Windows.Forms</Source>
  <StackTrace>   at System.Windows.Forms.Control.CreateHandle()
   at System.Windows.Forms.Form.CreateHandle()
   at System.Windows.Forms.Control.get_Handle()
   at System.Windows.Forms.Form.Show(IWin32Window owner)
   at UnConRes.UnConResMain.mnuZonesNew_Click(Object sender, EventArgs e)
   at System.Windows.Forms.ToolStripItem.RaiseEvent(Object key, EventArgs e)
   at System.Windows.Forms.ToolStripMenuItem.OnClick(EventArgs e)
   at System.Windows.Forms.ToolStripItem.HandleClick(EventArgs e)
   at System.Windows.Forms.ToolStripItem.HandleMouseUp(MouseEventArgs e)
   at System.Windows.Forms.ToolStripItem.FireEventInteractive(EventArgs e, ToolStripItemEventType met)
   at System.Windows.Forms.ToolStripItem.FireEvent(EventArgs e, ToolStripItemEventType met)
   at System.Windows.Forms.ToolStrip.OnMouseUp(MouseEventArgs mea)
   at System.Windows.Forms.ToolStripDropDown.OnMouseUp(MouseEventArgs mea)
   at System.Windows.Forms.Control.WmMouseUp(Message& m, MouseButtons button, Int32 clicks)
   at System.Windows.Forms.Control.WndProc(Message& m)
   at System.Windows.Forms.ScrollableControl.WndProc(Message& m)
   at System.Windows.Forms.ToolStrip.WndProc(Message& m)
   at System.Windows.Forms.ToolStripDropDown.WndProc(Message& m)
   at System.Windows.Forms.Control.ControlNativeWindow.OnMessage(Message& m)
   at System.Windows.Forms.Control.ControlNativeWindow.WndProc(Message& m)
   at System.Windows.Forms.NativeWindow.Callback(IntPtr hWnd, Int32 msg, IntPtr wparam, IntPtr lparam)</StackTrace>
  <TargetSite>Void CreateHandle() @ System.Windows.Forms.Control</TargetSite>
  <Type>System.ObjectDisposedException</Type>
</SerializableException>
Additional Information
<Report xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <GeneralInfo>
    <CLRVersion>4.0.30319.42000</CLRVersion>
    <DateTime>6/8/2022 4:27:54 PM</DateTime>
    <ExceptionMessage>Cannot access a disposed object.
Object name: 'EditZoneAddOrDelete'.</ExceptionMessage>
    <ExceptionType>System.ObjectDisposedException</ExceptionType>
    <HostApplication>HN32-48.exe</HostApplication>
    <HostApplicationVersion>1.22.5.23</HostApplicationVersion>
    <NBugVersion>1.2.1.0</NBugVersion>
    <TargetSite>Void CreateHandle() @ System.Windows.Forms.Control</TargetSite>
    <UserDescription />
  </GeneralInfo>
</Report>
TagsBug, Crash, User Interface
Attached Files
Exception_132991792775845758.zip (303,670 bytes)

Zip Contents

  • Exception.xml (2,127 bytes)   
    <?xml version="1.0"?>
    <SerializableException xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
      <ExtendedInformation>
        <ObjectName>EditZoneAddOrDelete</ObjectName>
        <HResult>-2146232798</HResult>
      </ExtendedInformation>
      <Message>Cannot access a disposed object.
    Object name: 'EditZoneAddOrDelete'.</Message>
      <Source>System.Windows.Forms</Source>
      <StackTrace>   at System.Windows.Forms.Control.CreateHandle()
       at System.Windows.Forms.Form.CreateHandle()
       at System.Windows.Forms.Control.get_Handle()
       at System.Windows.Forms.Form.Show(IWin32Window owner)
       at UnConRes.UnConResMain.mnuZonesNew_Click(Object sender, EventArgs e)
       at System.Windows.Forms.ToolStripItem.RaiseEvent(Object key, EventArgs e)
       at System.Windows.Forms.ToolStripMenuItem.OnClick(EventArgs e)
       at System.Windows.Forms.ToolStripItem.HandleClick(EventArgs e)
       at System.Windows.Forms.ToolStripItem.HandleMouseUp(MouseEventArgs e)
       at System.Windows.Forms.ToolStripItem.FireEventInteractive(EventArgs e, ToolStripItemEventType met)
       at System.Windows.Forms.ToolStripItem.FireEvent(EventArgs e, ToolStripItemEventType met)
       at System.Windows.Forms.ToolStrip.OnMouseUp(MouseEventArgs mea)
       at System.Windows.Forms.ToolStripDropDown.OnMouseUp(MouseEventArgs mea)
       at System.Windows.Forms.Control.WmMouseUp(Message&amp; m, MouseButtons button, Int32 clicks)
       at System.Windows.Forms.Control.WndProc(Message&amp; m)
       at System.Windows.Forms.ScrollableControl.WndProc(Message&amp; m)
       at System.Windows.Forms.ToolStrip.WndProc(Message&amp; m)
       at System.Windows.Forms.ToolStripDropDown.WndProc(Message&amp; m)
       at System.Windows.Forms.Control.ControlNativeWindow.OnMessage(Message&amp; m)
       at System.Windows.Forms.Control.ControlNativeWindow.WndProc(Message&amp; m)
       at System.Windows.Forms.NativeWindow.Callback(IntPtr hWnd, Int32 msg, IntPtr wparam, IntPtr lparam)</StackTrace>
      <TargetSite>Void CreateHandle() @ System.Windows.Forms.Control</TargetSite>
      <Type>System.ObjectDisposedException</Type>
    </SerializableException>
      
  • Report.xml (709 bytes)   
    <?xml version="1.0"?>
    <Report xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
      <GeneralInfo>
        <CLRVersion>4.0.30319.42000</CLRVersion>
        <DateTime>6/8/2022 4:27:54 PM</DateTime>
        <ExceptionMessage>Cannot access a disposed object.
    Object name: 'EditZoneAddOrDelete'.</ExceptionMessage>
        <ExceptionType>System.ObjectDisposedException</ExceptionType>
        <HostApplication>HN32-48.exe</HostApplication>
        <HostApplicationVersion>1.22.5.23</HostApplicationVersion>
        <NBugVersion>1.2.1.0</NBugVersion>
        <TargetSite>Void CreateHandle() @ System.Windows.Forms.Control</TargetSite>
        <UserDescription />
      </GeneralInfo>
    </Report>
      
  • MiniDump.mdmp (698,350 bytes)
  • files/HDS.Net.lic (2,810 bytes)   
    ��<?xml version="1.0" encoding="utf-16"?>
    
    <License>
    
      <Key>2703991f-4a09-4961-b345-8a86ba307b44</Key>
    
      <IssueDate>03/04/2022 00:00:00</IssueDate>
    
      <IssuedTo>Richard Odom</IssuedTo>
    
      <Company>Hydrocarbon Data Systems, Inc.</Company>
    
      <Expires>03/04/2025 00:00:00</Expires>
    
      <Type>0</Type>
    
      <Package>0</Package>
    
      <Copies>3</Copies>
    
      <IssuedBy>Hydrocarbon Data Systems, Inc.</IssuedBy>
    
      <Signature xmlns="http://www.w3.org/2000/09/xmldsig#">
    
        <SignedInfo>
    
          <CanonicalizationMethod Algorithm="http://www.w3.org/TR/2001/REC-xml-c14n-20010315" />
    
          <SignatureMethod Algorithm="http://www.w3.org/2000/09/xmldsig#rsa-sha1" />
    
          <Reference URI="">
    
            <Transforms>
    
              <Transform Algorithm="http://www.w3.org/2000/09/xmldsig#enveloped-signature" />
    
            </Transforms>
    
            <DigestMethod Algorithm="http://www.w3.org/2000/09/xmldsig#sha1" />
    
            <DigestValue>GezDvJUtSsrimKMfkz1FHNe/JNs=</DigestValue>
    
          </Reference>
    
        </SignedInfo>
    
        <SignatureValue>umERswgsLRnG13cIulwVGN6pxfXfQ63k5C0WWjk5XtxVh+LmYTIIaNn9huyhRhaQmHJ/2xC4uo+ZgW8FUFop+pdZA8Zo4VN9JerbonrbcoBkaqM17bqN9MMSwgByXIXRrsfAZXRdzxIesnwxm4D23a3GczNUO4vImQyBO4N4iQR8hT/Immkdy1Ih4zijX9gL7/AHHMtE+ZmdsfOT6jl73WkfvHlElLeTqzcaMN0L5rxVP7sPZJ2nusw76t0aH9fVHTPMhuOg7dfX2DOrITj/GavcIYAIakToZjQ3KVamYPkZhfZPcGVSAqAgs+tXP5MCSrFT1kM4KhVuNUJcyjxBAQ==</SignatureValue>
    
      </Signature>
    
    </License>
      

Installation TypeWorkstation

Activities

Travis Herzog

Travis Herzog

Jul 15th 2022 7:09 PM

Administrator   ~083

Fix committed to master branch in repository Un Con Reservoirs at 2022-06-22 22:33:27.
Travis Herzog

Travis Herzog

Feb 2nd 2024 3:46 PM

Administrator   ~283

A resolution for this issue has been committed with revision '29606a04ba533921fb13c4cdaa458fe053c014fa' to branch 'release/v1.23.0' in repository 'UnconReservoirs' with changeset ID '29209' at 2024-02-01T19:52:21+00:00.